package tourplaner.business;
import org.apache.log4j.*;
import org.apache.log4j.xml.DOMConfigurator;


/**
 * Hilft beim Logging mit log4j
 */
public class LogHelper{
    private static Logger logger = Logger.getRootLogger();

    /**
     * Holt den passenden logger für die Anwendung
     * @return Der Aktuelle passende Logger, null bei error
     */
    public static Logger getLogger() {
        try {
            SimpleLayout layout = new SimpleLayout();
            ConsoleAppender consoleAppender = new ConsoleAppender(layout);
            logger.addAppender(consoleAppender);
            FileAppender fileAppender = new FileAppender(layout, "../../../logs/tourplaner.log", true);
            logger.addAppender(fileAppender);
            // ALL | DEBUG | INFO | WARN | ERROR | FATAL | OFF:
            logger.setLevel(Level.DEBUG);
            return logger;
        } catch (Exception ex) {
            System.err.println(ex.getMessage());
            return null;
        }
    }
}
